Skip to main content

Search

The “Search” endpoint shows results of the search expression so that the Agent Inbox agent can see all known orders, customers and conversations relating to the search keyword.

GET https://example.com/search?<yourExpression>=$Expression

Parameters​

NameRequiredDescription
$ExpressionYesThe search expression filled in the Agent Inbox Search field by the agent
Response body
{
"customers":
[
{
"email_address": "[email protected]",
"name": "Fullname",
"phone_number": "+31612345678",
"order_count": "1",
"total_spent": "€123,45"
}
],
"orders":
[
{
"email_address": "[email protected]",
"order_number": "CM1234",
"order_date": "2021-01-12T12:34:56Z",
"revenue": "€12,34",
"name": "Fullname"
}
]
}

Response body with no results​

If there is no customer or an order for the expression, make sure you response with the an empty array for customers and/or orders.

{
"customers":
[],
"orders":
[]
}

Response schema​

NameTypeRequiredDescription
customersArrayYesCustomer specific contact details
email_addressStringYesE-mail of the customer which resembles the search expression
nameStringYesName of the customer
phone_numberStringYesPhone number of the customer
order_countStringYesTotal amount of orders the customer has
total_spentStringYesTotal amount of money the customer has spent
ordersArrayYesArray which contains order details that resembles the search expression
email_addressStringYesThe email address of the customer who filled in the order
order_numberStringYesNumber from the order
order_dateStringYesDate of the order
revenueStringYesTotal amount of money that the order resembles
nameStringYesName of the customer that has filled in the order